/////////////////////////////////////////
// serial.h
//
// Applied Data Systems
// ------------------------------------------------------------------
// This is part of the COMTEST application
// 20-1118x
// previously numbered as 700110-0011x
//
// for more information see the header info in Serial.cpp
/////////////////////////////////////////
#define dim(x) (sizeof(x) / sizeof(x[0]))

static TCHAR *ports[] = 
{
	_T("COM1:"), 
	_T("COM2:"), 
	_T("COM3:"), 
	_T("COM4:"),
    _T("COM5:"), 
	_T("COM6:"), 
	_T("COM7:"), 
	_T("COM8:")
};

extern DWORD	speed;
extern int		port_num;
extern int		out_port_num;
extern int		MAXPORTS;
extern int		flow_cntrl;
extern DWORD	RtsControl;
extern DWORD	DtrControl;
extern BOOL		FileReceive;
extern HANDLE	hCommPort;
extern HANDLE	hOutputPort;
extern DWORD	FileBufferLength;
extern BOOL		sendFullBuffer;
extern HANDLE OpenCommsPort(HWND hWnd, LPWSTR port, DCB Newdcb);

extern BOOL CloseCommsPort(HANDLE);
extern VOID Twiddle(int DTRorRTS);
extern BOOL EnableRTS(BOOL DataFlowOn);
extern BOOL SendText(char *);
extern VOID SendTextFile(HWND hWnd);
extern BOOL SendTextN(HWND hWnd, char ch, int number);
extern BOOL SendTextDigits(HWND hWnd, int linesToSend);
extern BOOL SetEscapeFunc(UINT idEscape);
extern BOOL StartReadThread();
int		CheckPorts();
void			ChangeStatus			(TCHAR *statusText, int displayDuration, int part);
DWORD WINAPI	StatusThreadProc		(void *lpVoid);
extern BOOL		captureText;
extern FILE		*fCaptureFile;
